

/* Common styles of menus */

.dl-menuwrapper {
	width: 320px;
	max-width: 320px;
	float: left;
	position: relative;
	-webkit-perspective: 1000px;
	perspective: 1000px;
	-webkit-perspective-origin: 50% 200%;
	perspective-origin: 50% 200%;
	top:10px;
	left:-30px;
	z-index:20;
}

.dl-menuwrapper:first-child {
	margin-right: 120px;
}

.dl-menuwrapper button {
/*	background: #fff;*/
	border: none;
	width: 48px;
	height: 48px;
/*	text-indent: -900em;*/
	overflow: hidden;
	position: relative;
	cursor: pointer;
	outline: none;
	top:-8px;
}

.dl-menuwrapper button:hover,
.dl-menuwrapper button.dl-active,
.dl-menuwrapper ul {
/*	background: #fff;*/
}

.dl-menuwrapper button:after {
	content: '';
	position: absolute;
	width: 68%;
	height: 4px;
	background: #fff;
	top: 10px;
	left: 16%;
	box-shadow: 
		0 10px 0 #fff, 
		0 20px 0 #fff;
}

.dl-menuwrapper ul {
	padding: 0;
	list-style: none;
	-webkit-transform-style: preserve-3d;
	transform-style: preserve-3d;
	left:-230px;
}

.dl-menuwrapper li {
	line-height:1.0em;
}

.dl-menuwrapper li a {
	display: block;
	background-color:#187d83;
	outline: none;
	color:#fff;
	padding:15px 10px;
	border-bottom: 1px solid #fff;
	font-size:14px;
	font-weight: bold;
}

.dl-menuwrapper li a span {
	font-size:10px;
	margin-left:6px;
}

.no-touch .dl-menuwrapper li a:hover {
/*	background: rgba(255,248,213,0.1);*/
}

.dl-menuwrapper li.dl-back > a {
	padding-left: 30px;
/*	background: rgba(0,0,0,0.1);*/
}

.dl-menuwrapper .dl-menu {
	margin: 0;
	position: absolute;
	width: 285px;
	opacity: 0;
	pointer-events: none;
	-webkit-transform: translateY(10px);
	transform: translateY(10px);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}

.dl-menuwrapper .dl-menu.dl-menu-toggle {
	transition: all 0.3s ease;
}

.dl-menuwrapper .dl-menu.dl-menuopen {
	opacity: 1;
	pointer-events: auto;
	-webkit-transform: translateY(0px);
	transform: translateY(0px);
}

/* Hide the inner submenus */
.dl-menuwrapper li .dl-submenu {
	display: none;
}

/* 
When a submenu is openend, we will hide all li siblings.
For that we give a class to the parent menu called "dl-subview".
We also hide the submenu link. 
The opened submenu will get the class "dl-subviewopen".
All this is done for any sub-level being entered.
*/
.dl-menu.dl-subview li,
.dl-menu.dl-subview li.dl-subviewopen > a,
.dl-menu.dl-subview li.dl-subview > a {
	display: none;
}

.dl-menu.dl-subview li.dl-subview,
.dl-menu.dl-subview li.dl-subview .dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen,
.dl-menu.dl-subview li.dl-subviewopen > .dl-submenu,
.dl-menu.dl-subview li.dl-subviewopen > .dl-submenu > li {
	display: block;
}

/* Dynamically added submenu outside of the menu context */
.dl-menuwrapper > .dl-submenu {
	position: absolute;
	width: 100%;
	top: 50px;
	left: 0;
	margin: 0;
}


/* Colors for demos */

/* smartMenu */



.smartMenu {
/*	width:320px;
	margin:0 auto 0 auto;*/
	margin-top:0px;
	position:relative;
	z-index:5;
}

.smartMenu .dl-menuwrapper button {
/*	background: #fff;*/
	left:300px;
	position:relative;
	background-color:transparent;
}

.smartMenu .dl-menuwrapper button span {
/*	position:absolute;
	color:#fff;
	font-size:12px;
	font-weight:bold;
	top:37px;
	left:0;
	width:48px;
	text-align:center;*/
}

.smartMenu .dl-menuwrapper button:hover,
.smartMenu .dl-menuwrapper button.dl-active {
/*	background: #00378a;*/
	left:300px;
}

.smartMenu .dl-menuwrapper ul {
	left:50px;
}

.dl-menu li {
/*	background-color:rgba(52,78,162,0.8);*/
}
.dl-menu li:nth-child(odd) {
/*	background-color: rgba(0,55,138,0.8);*/
}

/*	background: rgba(0,0,0,0.1);
*/

.dl-menuwrapper li:last-child a {
	border-bottom:none;
}


